/* minimal CSS */

body {
    font-family: -apple-system, BlinkMacSystemFont, "Helvetica Neue", Roboto,
        "Noto Sans", system-ui, "Open Sans", "Segoe UI", Helvetica, Oxygen-Sans,
        Ubuntu, Cantarell, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji",
        "Noto Color Emoji", "Twemoji Mozilla";

    line-height: 1.5;
    color: #222;
    max-width: 40rem;
    padding: 2rem;
    margin: auto;
    background: #fafafa;
}

pre,
code,
samp,
kbd {
    font-family: "SF Mono", Consolas, Menlo, Monaco, "Lucida Console", monospace;
    font-size: 0.9em;
}

main {
    max-width: 70ch;
    padding: 2ch;
    margin: auto;
}

header {
    margin-bottom: 1.5rem;
}

h1 {
    margin-bottom: 0.5rem;
}

/* article h1 { font-size: 2em; } */
strong {
    color: #111;
}

time {
    color: #888;
    text-decoration: italic;
}

pre {
    white-space: pre-wrap;
}

hr {
    margin-top: 2rem;
}

img {
    max-width: 100%;
}

a {
    color: #ff3c3c;
    text-decoration: none;
    outline: 0;
}

a:hover {
    text-decoration: underline;
}

::selection {
    background-color: #fff888;
}
